keys:
  - &admin_ppetru age1df9ukkmg9yn9cjeheq9m6wspa420su8qarmq570rdvf2de3rl38saqauwn
  - &server_zippy age1gtyw202hd07hddac9886as2cs8pm07e4exlnrgfm72lync75ng9qc5fjac
  - &server_chilly age16yqffw4yl5jqvsr7tyd883vn98zw0attuv9g5snc329juff6dy3qw2w5wp
  - &server_sparky age14aml5s3sxksa8qthnt6apl3pu6egxyn0cz7pdzzvp2yl6wncad0q56udyj
  - &server_stinky age1me78u46409q9ez6fj0qanrfffc5e9kuq7n7uuvlljfwwc2mdaezqmyzxhx
  - &server_beefy age1cs8uqj243lspyp042ueu5aes4t3azgyuaxl9au70ggrl2meulq4sgqpc7y
  - &server_alo_cloud_1 age1w5w4wfvtul3sge9mt205zvrkjaeh3qs9gsxhmq7df2g4dztnvv6qylup8z
  - &server_c1 age1wwufz86tm3auxn6pn27c47s8rvu7en58rk00nghtaxsdpw0gya6qj6qxdt
  - &server_c2 age1jy7pe4530s8w904wtvrmpxvteztqy5ewdt92a7y3lq87sg9jce5qxxuydt
  - &server_c3 age1zjgqu3zks5kvlw6hvy6ytyygq7n25lu0uj2435zlf30smpxuy4hshpmfer
creation_rules:
  - path_regex: secrets/common\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_zippy
        - *server_chilly
        - *server_sparky
        - *server_stinky
        - *server_beefy
        - *server_alo_cloud_1
        - *server_c1
        - *server_c2
        - *server_c3
  - path_regex: secrets/zippy\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_zippy
  - path_regex: secrets/chilly\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_chilly
  - path_regex: secrets/sparky\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_sparky
  - path_regex: secrets/stinky\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_stinky
  - path_regex: secrets/beefy\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_beefy
  - path_regex: secrets/wifi\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_stinky
  - path_regex: secrets/alo-cloud-1\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_alo_cloud_1
  - path_regex: secrets/c1\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_c1
  - path_regex: secrets/c2\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_c2
  - path_regex: secrets/c3\.yaml
    key_groups:
      - age:
        - *admin_ppetru
        - *server_c3

